2016-09-20 10:38 GMT+02:00 Jaromír Mikeš <mira.mi...@gmail.com>:
> Now to the list :)
>
> 2016-09-20 8:12 GMT+02:00 IOhannes m zmölnig (Debian/GNU) 
> <umlae...@debian.org>:
>> On 09/20/2016 04:19 AM, Jaromír Mikeš wrote:
>>> Hi all,
>>
>> disclaimer: this is only an answer to your email ihaven't had a look at
>> any specifics of the "drumkv1" package itself.
>>
>>>
>>> upstream made changes in build system and it is leading to problems.
>>>
>>> W: drumkv1: package-name-doesnt-match-sonames libdrumkv1-0
>>
>> most likely a false positive in lintian (due to the embedded version
>> string in the source packge). so: ignore.
>>
>>> W: drumkv1: non-dev-pkg-with-shlib-symlink
>>> usr/lib/x86_64-linux-gnu/libdrumkv1.so.0.7.6
>>> usr/lib/x86_64-linux-gnu/libdrumkv1.so
>>
>> the .so-file (that is: the .so.0.7.6 file) should be in libdrumkv1-0.
>> the symlink should be in libdrumkv1-dev.
>>
>>> I: drumkv1: no-symbols-control-file 
>>> usr/lib/x86_64-linux-gnu/libdrumkv1.so.0.7.6
>>
>> you might want to generate (and maintain a d/libdrumkv1-0.symbols file.
>> (if that's a C-library, the request is reasonable).
>>
>>>
>>> I believe that file libdrumkv1.so.0.7.6 shouldn't be installed at all,
>>> but I am not sure.
>>
>> if you *do have* a libdrumkv1-0 package that it should be installed.
>> you only should have a libdrumkv1-0 package,
>>
>>
>> HOWEVER
>>
>> all that i've written above is valid (only) if the source package
>> provides library packages (e.g. you split it into drumkv1, libdrumkv1-0,
>> libdrumkv1-dev,...).
>> afaict, the package is currently unsplit (there's only a single
>> "drumkv1" binary package).
>> it the (supposedly new) lib*.so is of general interest (outside of the
>> drumkv1 binary package), you might consider splitting the package up.
>>
>> if you think the library is too specific, the lib*.so* files should go
>> into /usr/lib/${TRIPLET}/drumkv1/lib*.so* (adjust the build system
>> accordingly) and these lintian warnings should be void.
>
> Thank you IOhannes for reviewing
> I was wrong ... shared lib should be installed in all cases
>
> http://www.rncbc.org/drupal/node/1699
>
> I will consider splitting package it looks like reasonable solution ...

Hi IOhannes,

Package split ... no symbols file ... project is C++-library
Probably some tuning in descriptions is needed.

Can you overview package now please?

best regards

mira

_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to